Loading...
Searching...
No Matches
Dune::cpgrid::DefaultGeometryPolicy Class Reference

`#include <DefaultGeometryPolicy.hpp>`

## Public Member Functions

| DefaultGeometryPolicy ()
| DefaultGeometryPolicy (const EntityVariable< cpgrid::Geometry< 3, 3 >, 0 > &cell_geom, const EntityVariable< cpgrid::Geometry< 2, 3 >, 1 > &face_geom, const EntityVariable< cpgrid::Geometry< 0, 3 >, 3 > &point_geom)
template<int codim>
const EntityVariable< cpgrid::Geometry< 3 - codim, 3 >, codim > & | geomVector () const
std::shared_ptr< const EntityVariable< cpgrid::Geometry< 3, 3 >, 0 > > | geomVector (const std::integral_constant< int, 0 > &) const
| Get cell geometry.
std::shared_ptr< EntityVariable< cpgrid::Geometry< 3, 3 >, 0 > > | geomVector (const std::integral_constant< int, 0 > &)
| Get cell geometry.
std::shared_ptr< const EntityVariable< cpgrid::Geometry< 2, 3 >, 1 > > | geomVector (const std::integral_constant< int, 1 > &) const
| Get face geometry.
std::shared_ptr< EntityVariable< cpgrid::Geometry< 2, 3 >, 1 > > | geomVector (const std::integral_constant< int, 1 > &)
| Get face geometry.
template<int codim>
std::shared_ptr< const EntityVariable< cpgrid::Geometry< 0, 3 >, 3 > > | geomVector (const std::integral_constant< int, codim > &) const
| Get point geometry.
template<int codim>
std::shared_ptr< EntityVariable< cpgrid::Geometry< 0, 3 >, 3 > > | geomVector (const std::integral_constant< int, codim > &)
| Get point geometry.

## Friends

class | CpGridData
template<int mydim, int dim>
class | Geometry
class | ::Dune::CpGrid

## Detailed Description

Todo
  Doc me!

## Constructor & Destructor Documentation

## DefaultGeometryPolicy() [1/2]

Dune::cpgrid::DefaultGeometryPolicy::DefaultGeometryPolicy | ( |  | ) |

inline

Todo
  Doc me

## DefaultGeometryPolicy() [2/2]

Dune::cpgrid::DefaultGeometryPolicy::DefaultGeometryPolicy | ( | const EntityVariable< cpgrid::Geometry< 3, 3 >, 0 > & | cell_geom,
|  | const EntityVariable< cpgrid::Geometry< 2, 3 >, 1 > & | face_geom,
|  | const EntityVariable< cpgrid::Geometry< 0, 3 >, 3 > & | point_geom )

inline

Todo
  Doc me

Parameters

## Member Function Documentation

## geomVector()

template<int codim>

const EntityVariable< cpgrid::Geometry< 3 - codim, 3 >, codim > & Dune::cpgrid::DefaultGeometryPolicy::geomVector | ( |  | ) | const

inline

Todo
  Doc me!

Template Parameters

param

Returns

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/DefaultGeometryPolicy.hpp